kind: pipeline
type: docker
name: default

steps:
  - name: build
    image: plugins/docker
    settings:
      dockerfile: Dockerfile
      dry_run: true
      repo: automated-api
      tags: 
        - latest
      mirror: https://docker.1panelproxy.com

trigger:
  branch:
    - main
    - master

volumes:
  - name: docker
    host:
      path: /var/run/docker.sock
